Returns a specific contact associated with a transaction.
GET
/v2/transactions/{transactionId}/contacts/{contactId}
curl \
--request GET 'https://api.pre.transactiondesk.com/v2/transactions/{transactionId}/contacts/{contactId}' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"id": "805355ec-7f7d-413e-986a-c767ea0632da",
"transactionId": "34bfff2a-d186-48c6-b09d-6c15232cfe26",
"preferredName": "Bobby Jones",
"firstName": "Robert",
"middleName": "P",
"lastName": "Jones",
"fullAddress": "100 Wellington St.",
"city": "London",
"state": "ON",
"zipCode": "N6E B3B",
"phone": "519-000-0000",
"fax": "519-000-0001",
"cell": "519-000-0002",
"email": "bobbyjones@fakeemail.com",
"company": "Bobby Jones Real Estate",
"typeId": "918753cd-df9d-4a8c-b9c5-2d0115835ea0"
}
Response examples (401)
{
"code": 401,
"message": "Unauthorized. The user is not authenticated.",
"details": []
}
Response examples (404)
{
"code": 404,
"message": "Item not found.",
"details": []
}